Subject: Re: Re: [PATCH] Documentation: fix a typo in git-apply.txt

From: Eric Raible <[email-masked]>
Date: Fri, 4 Mar 2011 00:31:01 -0800

On 11:59 AM, Michal Kiedrowicz wrote:
> On 03.03.2011 15:28:45 -0800 Junio C Hamano <[email-masked]> wrote:
> 
>> Michał Kiedrowicz <[email-masked]> writes:
>>
>>> git-apply accepts the --cached option, not --cache.
>>>
>>> Signed-off-by: Micha=C5=82 Kiedrowicz <[email-masked]>
>>> ---
>>>  Documentation/git-apply.txt |    2 +-
>>>  1 files changed, 1 insertions(+), 1 deletions(-)
>>>
>>> diff --git Documentation/git-apply.txt Documentation/git-apply.txt
>>> index 881652f..2dcfc09 100644
>>> --- Documentation/git-apply.txt
>>> +++ Documentation/git-apply.txt
>>
>> What kind of crap is this?
>>
>> We really should make it much harder for people to use funky src/dst
>> prefix when generating patches.
> 
> It's called diff.noprefix=true :). I use it @work to easily copy/paste
> paths from git-diff output. I guess I should somehow make git.git
> config ignore global settings.

The local config will override the global settings automatically.

	git config diff.noprefix false

Should do it.